Page 1 of 3 123 LastLast
Results 1 to 10 of 23

Thread: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

  1. #1
    Join Date
    Oct 2007
    Beans
    4

    Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    Hi All,
    Well the Epson Stylus series of printers has new additions - a lower end group which includes the following :-

    1. Stylus S20
    2. Stylus T20
    3. Stylus T20E
    4. Stylus T23
    5. Stylus T26
    6. Stylus T10
    7. Stylus T11

    Currently the openprinting database indicates that these printers are mostly 'paperweight'. However, there are divers available at avasys.jp that allow these printers to be used under Linux. The site has rpm based drivers available. But getting them to work on hardy was a little problematic since the documentation is written in a pretty obscure manner.

    Since I've managed to get these drivers going - I thought a small howto would be in order.

    1. To begin with - download the Fedora 9 rpms from the site.
    2. convert these packages into .debs with the command 'alien --scripts --keep-version pips-*.rpm'
    3. Install the debs with the command 'sudo dpkg -i ./pips-*.deb' or download from here.
    4. You get a few errors like below :-

    install: cannot create regular file `/etc/rc.d/init.d': No such file or directory
    ln: creating symbolic link `/etc/rc.d/rc2.d/S11ekpd': No such file or directory
    ln: creating symbolic link `/etc/rc.d/rc3.d/S11ekpd': No such file or directory
    ln: creating symbolic link `/etc/rc.d/rc4.d/S11ekpd': No such file or directory
    ln: creating symbolic link `/etc/rc.d/rc5.d/S11ekpd': No such file or directory
    ln: creating symbolic link `/etc/rc.d/rc0.d/K89ekpd': No such file or directory
    ln: creating symbolic link `/etc/rc.d/rc1.d/K89ekpd': No such file or directory
    ln: creating symbolic link `/etc/rc.d/rc6.d/K89ekpd': No such file or directory

    5. Now create a file by running 'sudo vim /etc/init.d/ekpd'
    6. Copy the following into it

    x-----------------------------------------------------------x
    # Photo Image Print System
    # Copyright (C) 2002-2005 EPSON AVASYS Corporation.
    # Copyright (C) SEIKO EPSON CORPORATION 2002-2005.
    #
    # . /etc/rc.d/init.d/functions

    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/local/EPAva/core/ekpd
    NAME=ekpd
    PIDFILE=/var/run/$NAME.pid
    DESC="EPSON Avasys printing daemon"

    unset TMPDIR

    test -f $DAEMON || exit 0

    OLDMASK=`umask`
    umask 000

    case "$1" in
    start)
    pidlist=`pidof $NAME`
    if [ "x" = "x$pidlist" ]; then
    echo -n "Starting $NAME:"
    start-stop-daemon --start --quiet --pidfile "$PIDFILE" --exec $DAEMON
    fi
    ;;

    stop)
    echo -n "Stopping ekpd:"
    start-stop-daemon --stop --retry 5 --name $NAME
    ;;

    restart)
    $0 stop
    sleep 2
    $0 start
    ;;

    *)
    echo "Usage: ekpd { start | stop | restart }" >&2
    exit 1
    ;;
    esac

    umask $OLDMASK
    exit 0
    x----------------------------------------------------------------x

    7. 'sudo chmod +x /etc/init.d/ekpd'
    8. Now install a few libraries by doing 'sudo apt-get install libtiff4 libpng2'
    9. make a link with this commands
    'sudo ln -s /usr/lib/libtiff.so.4.2.1 /usr/lib/libtiff.so.3'
    10. and copy the config file for ekpd by 'sudo cp /usr/local/EPAva/printer/st20/ekpdrc_st20 /etc/ekpdrc'
    11. Run 'sudo ekpd-tool' and check that the parameters are set to
    Printer Name : st<your printer number>
    Connection Method : <USB>
    Device Path : lp0
    Select the Defualt Printer checkbox if this is your default printer.
    12. Now start ekpd with 'sudo /etc/init.d/ekpd start'
    13. Add the printer using the cups web interface -> Start Firefox and use the url 'localhost:631'
    14. Select Administration, Add Printer
    15. Set a name, location and description
    16. Select Epson Stylus Txx USB #1 from the dropdown list
    17. Select Epson Stylus Txx Photo Image Print System (en) as the model
    18. Now send a test page to the printer.

    This should get your printer printing fine. I haven't tested too much the test page is quite ok.
    Run 'ekpstm' to see a graphical output that shows the printer status and the ink levels.
    Hope this helps.
    Last edited by c_c; November 26th, 2008 at 05:18 AM.

  2. #2
    Join Date
    Nov 2008
    Beans
    1

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    Quote Originally Posted by c_c View Post
    Hi All,
    Well the Epson Stylus series of printers has new additions - a lower end group which includes the following :-

    1. Stylus S20
    2. Stylus T20
    3. Stylus T20E
    4. Stylus T23
    5. Stylus T26
    6. Stylus T10
    7. Stylus T11

    Currently the openprinting database indicates that these printers are mostly 'paperweight'. However, there are divers available at avasys.jp that allow these printers to be used under Linux. The site has rpm based drivers available. But getting them to work on hardy was a little problematic since the documentation is written in a pretty obscure manner.

    Since I've managed to get these drivers going - I thought a small howto would be in order.
    .
    .
    .
    This should get your printer printing fine. I haven't tested too much the test page is quite ok.
    Run 'ekpstm' to see a graphical output that shows the printer status and the ink levels.
    Hope this helps.
    IT WORKS!!! My printer works. I think I faint! Thanks so very much c_c. Eternally thankful.

  3. #3
    Join Date
    Jan 2007
    Location
    New Zealand
    Beans
    53
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    OK

    Sorry to be a bit of a nube here.
    I have installed Alien and tried to convert the package from avasys,
    but get errors.
    The package unzips as pips-st20-Fedora9-3.1.0-CG.install rather than a .rpm file. Below is the error.

    xoyffk@xoyffk-desktop:~$ sudo alien --scripts --keep-version pips-*.rpmFile "pips-*.rpm" not found.

    or

    xoyffk@xoyffk-desktop:~$ sudo alien pips-st20-Fedora9-3.1.0-CG.install --scripts --keep-version pips-*.rpm

    Please can someone advise where I am going wrong

    Thanks

  4. #4
    Join Date
    Jan 2007
    Location
    New Zealand
    Beans
    53
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    OK I finally noticed what I had missed

    3. Install the debs with the command 'sudo dpkg -i ./pips-*.deb' or download from here.

    I had missed the part where he said you could download them from here.
    Also there seems to be a typo in line 8?

    8. Now install a few libraries by doing 'sudo apt-get install libtiff4 libpng2'

    Or is it just different in Intrepid 8.10 ?
    anyway I made it libpng3, 2 being obsolete in 8.10.

    AVASYS seem to have updated there drivers since C_C downloaded them, so unless they will make the rpm's available as well as the .install files, Alien it seems won't work.

  5. #5
    Join Date
    Jun 2008
    Location
    Taipei, Taiwan
    Beans
    6
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    Quote Originally Posted by c_c View Post
    The Epson Stylus series of printers has new additions - a lower end group which includes the following:

    1. Stylus S20
    2. Stylus T20
    3. Stylus T20E
    4. Stylus T23
    5. Stylus T26
    6. Stylus T10
    7. Stylus T11

    .
    .
    .

    5. Now create a file by running 'sudo vim /etc/init.d/ekpd'
    6. Copy the following into it

    x-----------------------------------------------------------x
    # Photo Image Print System
    # Copyright (C) 2002-2005 EPSON AVASYS Corporation.
    # Copyright (C) SEIKO EPSON CORPORATION 2002-2005.
    #
    # . /etc/rc.d/init.d/functions

    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/local/EPAva/core/ekpd
    NAME=ekpd
    PIDFILE=/var/run/$NAME.pid
    DESC="EPSON Avasys printing daemon"

    unset TMPDIR

    test -f $DAEMON || exit 0

    OLDMASK=`umask`
    umask 000

    case "$1" in
    start)
    pidlist=`pidof $NAME`
    if [ "x" = "x$pidlist" ]; then
    echo -n "Starting $NAME:"
    start-stop-daemon --start --quiet --pidfile "$PIDFILE" --exec $DAEMON
    fi
    ;;

    stop)
    echo -n "Stopping ekpd:"
    start-stop-daemon --stop --retry 5 --name $NAME
    ;;

    restart)
    $0 stop
    sleep 2
    $0 start
    ;;

    *)
    echo "Usage: ekpd { start | stop | restart }" >&2
    exit 1
    ;;
    esac

    umask $OLDMASK
    exit 0
    x----------------------------------------------------------------x
    I am new to Ubuntu and will appreciate it if someone can provide detailed instructions on how I can carry out the above.

    Thank you very much for your assistance.

  6. #6
    Join Date
    Sep 2007
    Beans
    67
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    Thanks for the great tutorial... really helped me in a moment of crisis (printing a thesis )

    As for the simplified instructions... I'll give it a try:

    All codes in quotes are to be typed in a terminal (or console) window unless stated otherwise

    --skip steps 1 & 2 if you wish to keep it simple--

    3.0.1 Download the .deb files from here (too bad this forum has a filesize limit just below the largest file here, so please bear with the file hosting page... and whisper to the Original Poster if the link becomes broken, or try to do steps 1 & 2)
    3.0.2 untar them with 'tar -xvf pips.tar.gz' or with your favorite compressed files application such as Ark.

    3. Install the debs with the command 'sudo dpkg -i ./pips-*.deb'
    4. You get a few messages (ignore them ^_^)
    5. write in the terminal 'sudo vim /etc/init.d/ekpd'
    6. Copy the following into it

    Code:
    # Photo Image Print System
    # Copyright (C) 2002-2005 EPSON AVASYS Corporation.
    # Copyright (C) SEIKO EPSON CORPORATION 2002-2005.
    #
    # . /etc/rc.d/init.d/functions
    
    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/local/EPAva/core/ekpd
    NAME=ekpd
    PIDFILE=/var/run/$NAME.pid
    DESC="EPSON Avasys printing daemon"
    
    unset TMPDIR
    
    test -f $DAEMON || exit 0
    
    OLDMASK=`umask`
    umask 000
    
    case "$1" in
    start)
    pidlist=`pidof $NAME`
    if [ "x" = "x$pidlist" ]; then
    echo -n "Starting $NAME:"
    start-stop-daemon --start --quiet --pidfile "$PIDFILE" --exec $DAEMON
    fi
    ;;
    
    stop)
    echo -n "Stopping ekpd:"
    start-stop-daemon --stop --retry 5 --name $NAME
    ;;
    
    restart)
    $0 stop
    sleep 2
    $0 start
    ;;
    
    *)
    echo "Usage: ekpd { start | stop | restart }" >&2
    exit 1
    ;;
    esac
    
    umask $OLDMASK
    exit 0
    6.a. This is not evident: Press Esc, then type ':w' (without quotes) then ':q' (and enter)
    7. Type in the terminal 'sudo chmod +x /etc/init.d/ekpd'
    8. Now install a few libraries by doing 'sudo apt-get install libtiff4 libpng3' (thanks swudee for updating the 2 to 3)
    9. make a link with this commands
    'sudo ln -s /usr/lib/libtiff.so.4.2.1 /usr/lib/libtiff.so.3'
    10. and copy the config file for ekpd by 'sudo cp /usr/local/EPAva/printer/st20/ekpdrc_st20 /etc/ekpdrc'
    11. Run 'sudo ekpd-tool' and check that the parameters are set to
    Printer Name : st<your printer number>
    Connection Method : <USB>
    Device Path : lp0
    Select the Defualt Printer checkbox if this is your default printer.
    12. Now start ekpd with 'sudo /etc/init.d/ekpd start'

    Here I got the following error
    /etc/init.d/ekpd: 2: to: not found
    Starting ekpd
    which I safely ignored

    13 Open Firefox and write 'localhost:631' in the address bar.
    14. Select Administration, Add Printer
    15. Set a name, location and description
    16. Select Epson Stylus Txx USB #1 from the dropdown list
    17. Select Epson Stylus Txx Photo Image Print System (en) as the model
    18. Now if you want send a test page to the printer, or just start printing whatever you want... this test page can be time and ink consuming, particularly important if you're ink-stingy

  7. #7
    Join Date
    Feb 2009
    Beans
    16

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    I installed a S20 with ubuntu 8.10 and it found the Epson '2000' driver that was automatically selected simply did not work - no sign of printer activity. I tried the above suggestions and now it works for open office printing, and fine for the CUPS test page, but not from firefox!

    Looking through syslog I see this message:

    Feb 3 10:43:34 ubuntu kernel: [ 3888.812235] pips-filter[7768]: segfault at 0 ip b7c8bda0 sp bfc2cbd0 error 4 in libc-2.8.90.so[b7c15000+158000]

    Any ideas of what is broken here?

  8. #8
    Join Date
    Feb 2009
    Beans
    1

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    Just want to say a thank you!

  9. #9
    Join Date
    Mar 2007
    Location
    Philippines
    Beans
    56
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers: BROKEN

    These tutorials are broken.

    The Avasys.jp site referenced in the first message by C_C has replaced the RPM files with an INSTALL file so alien fails and the process fails at step 2.

    The alternate site recommended in a following message by JunCTionS:

    rapidshare.com

    times out every time if you try to use it as a "free user". I assume it will work if you cough up the cash for a membership.

  10. #10
    Join Date
    Mar 2006
    Location
    Williams Lake
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Printing to Epson Stylus S20 T20 T20E T23 T26 T10 T11 Printers

    The .install file is an executeable all you have to is make it executeable by opening a terminal and cding it to the directory where the file is located and typing:

    Code:
    chmod +x *install
    then type:

    Code:
    sudo ./*install
    The above command assumes there are no aother files in the directory with an install extension.

    Jim

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •